.tips-main[data-v-3c71630c] {
  position: fixed;
  width: 369px;
  aspect-ratio: auto;
  background: #FFFFFF;
  z-index: 99;
  border-radius: 8px;
  box-shadow: 0px 3px 12px 4px rgba(0, 0, 0, 0.09);
  display: flex;
  flex-direction: column;
}
.tips-main .close-modal[data-v-3c71630c] {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.tips-main .close-modal img[data-v-3c71630c] {
  width: 28px;
  height: 28px;
  cursor: pointer;
}
.tips-main .content[data-v-3c71630c] {
  background: #F2F3F7;
  border-radius: 8px;
  margin: auto;
  width: 90%;
  height: 78.5%;
}
.tips-main .content .examples[data-v-3c71630c] {
  width: 100%;
  margin-top: 20px;
}
.tips-main .content .examples .title[data-v-3c71630c] {
  text-align: center;
  margin-bottom: 15px;
  font-size: 12px;
  color: #222222;
  font-weight: 600;
}
.tips-main .content .examples .example[data-v-3c71630c] {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.tips-main .content .examples .example .item p[data-v-3c71630c] {
  font-size: 10px;
  text-align: center;
  color: #222222;
  font-weight: 400;
}
.tips-main .content .examples .example .item img[data-v-3c71630c] {
  width: 80px;
  aspect-ratio: auto;
}
.tips-main .describe[data-v-3c71630c] {
  width: 100%;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #666666;
  font-size: 12px;
  font-weight: 400;
  text-align: center;
}
.tips-main[data-v-512c5234] {
  position: fixed;
  width: 439px;
  height: 400px;
  background: #FFFFFF;
  z-index: 99;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  box-shadow: 0px 3px 12px 4px rgba(0, 0, 0, 0.09);
}
.tips-main .close-modal[data-v-512c5234] {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.tips-main .close-modal img[data-v-512c5234] {
  width: 28px;
  height: 28px;
  cursor: pointer;
}
.tips-main .content[data-v-512c5234] {
  background: #F2F3F7;
  border-radius: 8px;
  margin: auto;
  width: 90%;
  height: 78%;
}
.tips-main .content .examples[data-v-512c5234] {
  width: 100%;
  margin-top: 20px;
}
.tips-main .content .examples .title[data-v-512c5234] {
  text-align: center;
  margin-bottom: 15px;
  font-size: 12px;
  font-weight: 600;
  color: #222222;
}
.tips-main .content .examples .example[data-v-512c5234] {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.tips-main .content .examples .example .item p[data-v-512c5234] {
  font-size: 10px;
  text-align: center;
  color: #222222;
  font-weight: 400;
}
.tips-main .describe[data-v-512c5234] {
  width: 100%;
  flex: 1;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  color: #666666;
  font-size: 12px;
  font-weight: 400;
  text-align: center;
}
.tips-main .describe p[data-v-512c5234] {
  width: 100%;
  padding: 0px 20px;
  text-align: center;
}
.guide-main[data-v-faecab5a] {
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 999;
}
.guide-main .part[data-v-faecab5a] {
  width: 579px;
  height: 231px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  font-style: normal;
}
.guide-main .part .btn[data-v-faecab5a] {
  position: relative;
  margin-top: 20px;
  cursor: pointer;
}
.guide-main .part .btn p[data-v-faecab5a] {
  position: absolute;
  width: 100%;
  text-align: center;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  color: #000000;
  font-size: 25px;
  font-style: normal;
}
.guide-main .pt1[data-v-faecab5a] {
  position: absolute;
  top: 83px;
  left: 348px;
}
.guide-main .pt1 .guide[data-v-faecab5a] {
  width: 579px;
  height: 152px;
  position: relative;
}
.guide-main .pt1 .guide p[data-v-faecab5a] {
  position: absolute;
  width: 60%;
  text-align: center;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ffffff;
}
.guide-main .pt11[data-v-faecab5a] {
  position: absolute;
  top: 161px;
  left: 348px;
}
.guide-main .pt11 .guide[data-v-faecab5a] {
  position: relative;
}
.guide-main .pt11 .guide p[data-v-faecab5a] {
  position: absolute;
  width: 60%;
  text-align: center;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ffffff;
}
.guide-main .pt2[data-v-faecab5a] {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-20%, -50%);
}
.guide-main .pt2 .guide[data-v-faecab5a] {
  width: 484px;
  height: 200px;
  position: relative;
}
.guide-main .pt2 .guide p[data-v-faecab5a] {
  width: 60%;
  text-align: center;
  position: absolute;
  top: 63%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ffffff;
}
.guide-main .pt3[data-v-faecab5a] {
  position: absolute;
  bottom: 32px;
  left: 312px;
}
.guide-main .pt3 .guide[data-v-faecab5a] {
  position: relative;
}
.guide-main .pt3 .guide p[data-v-faecab5a] {
  position: absolute;
  width: 60%;
  text-align: center;
  top: 48%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ffffff;
}
.guide-main .pt3 .btn[data-v-faecab5a] {
  position: relative;
  margin-top: -15px;
}
.guide-main .close[data-v-faecab5a] {
  position: absolute;
  right: 30px;
  top: 90px;
  cursor: pointer;
}
.guide-main .guidebtn[data-v-faecab5a] {
  width: 296px;
  height: 48px;
  background: #D9EFFF;
  border-radius: 8px;
  font-size: 15px;
  color: #047AFC;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 15px;
  left: 17px;
}
.guide-main .pic1[data-v-faecab5a] {
  position: absolute;
  left: 8px;
  top: 305px;
}
.guide-main .pic2[data-v-faecab5a] {
  position: absolute;
  left: 10px;
  top: 83px;
}
.boxPc[data-v-ca535fc2] {
  display: block;
}
.boxMobile[data-v-ca535fc2] {
  display: none;
}
.highlight-guide[data-v-ca535fc2] {
  position: relative;
  z-index: 1001;
  pointer-events: none;
}
.left-panel[data-v-ca535fc2] {
  width: 330px;
  height: 100vh;
  background-color: #ffffff;
  padding-top: 65px;
  padding-bottom: 80px;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
}
.left-panel .title-box[data-v-ca535fc2] {
  position: relative;
  margin-bottom: 10px;
  font-size: 14px;
  font-weight: 600;
  font-style: normal;
  display: flex;
  flex-direction: row;
  align-items: center;
}
.left-panel .title-box .titles[data-v-ca535fc2] {
  display: flex;
  color: #222222;
  line-height: 20px;
  text-align: left;
  flex: 1;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.left-panel .title-box .tips[data-v-ca535fc2] {
  color: #666666;
  line-height: 20px;
  font-size: 12px;
  text-align: right;
  font-weight: normal;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  cursor: pointer;
}
.left-panel .title-box img[data-v-ca535fc2] {
  margin-right: 5px;
}
.left-panel .common-tool[data-v-ca535fc2] {
  display: flex;
  flex-direction: column;
  padding: 16px;
  position: relative;
}
.left-panel .common-tool .prompt-section[data-v-ca535fc2] {
  background: #ffffff;
  border: 1px solid #E6E7EB;
  border-radius: 8px;
  padding: 10px;
  position: relative;
}
.left-panel .common-tool .prompt-section .title[data-v-ca535fc2] {
  display: flex;
  width: 100%;
  line-height: 28px;
  font-size: 14px;
  font-weight: 500;
  cursor: pointer;
  align-items: center;
  color: #222222;
}
.left-panel .common-tool .prompt-section .title input[data-v-ca535fc2] {
  width: 16px;
  height: 16px;
  margin-right: 10px;
}
.left-panel .common-tool .prompt-section .content[data-v-ca535fc2] {
  width: 100%;
  max-height: 271px;
  border-top: 1px solid #E6E7EB;
  padding-top: 20px;
  padding-bottom: 10px;
  margin-top: 5px;
}
.left-panel .common-tool .prompt-section .content .prompt-container[data-v-ca535fc2] {
  width: 100%;
  height: 125px;
  border-radius: 8px;
  position: relative;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-textarea[data-v-ca535fc2] {
  outline: none;
  border: none;
  padding: 12px;
  width: 100%;
  height: 100%;
  font-family: Arial, system-ui, -apple-system, BlinkMacSystemFont, segoe ui, Roboto, Helvetica, sans-serif, apple color emoji, segoe ui emoji, segoe ui symbol;
  font-weight: 600;
  font-size: 12px;
  color: #666666;
  background: #F2F3F7;
  border-radius: 8px;
  box-sizing: border-box;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-textarea[data-v-ca535fc2]::placeholder {
  color: #999999;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-buttons[data-v-ca535fc2] {
  position: absolute;
  right: 9px;
  bottom: -10px;
  display: flex;
  width: calc(100% - 18px);
  height: 40px;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-buttons .random-button[data-v-ca535fc2] {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  cursor: pointer;
  background-color: #fff;
  height: 24px;
  border-radius: 14px;
  padding: 0px 5px;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-buttons .random-button img[data-v-ca535fc2] {
  width: 14px;
  height: 12px;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-buttons .delete-button[data-v-ca535fc2] {
  margin-left: auto;
  cursor: pointer;
}
.left-panel .common-tool .prompt-section .content .prompt-container .prompt-buttons .delete-button img[data-v-ca535fc2] {
  width: 24px;
  height: 24px;
}
.left-panel .common-tool .ref-image-section[data-v-ca535fc2] {
  margin-top: 10px;
  background: #ffffff;
  border: 1px solid #E6E7EB;
  border-radius: 8px;
  padding: 10px;
  position: relative;
}
.left-panel .common-tool .ref-image-section .title[data-v-ca535fc2] {
  display: flex;
  width: 100%;
  line-height: 28px;
  font-size: 14px;
  font-weight: 500;
  cursor: pointer;
  align-items: center;
  color: #222222;
}
.left-panel .common-tool .ref-image-section .title input[data-v-ca535fc2] {
  width: 16px;
  height: 16px;
  margin-right: 10px;
}
.left-panel .common-tool .ref-image-section .content[data-v-ca535fc2] {
  width: 100%;
  max-height: 271px;
  border-top: 1px solid #E6E7EB;
  padding-top: 20px;
  padding-bottom: 10px;
  margin-top: 5px;
}
.left-panel .common-tool .ref-image-section .content .ref-image-container[data-v-ca535fc2] {
  width: 100%;
  background: #F2F3F7;
  aspect-ratio: 1/1;
  border-radius: 8px;
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.left-panel .common-tool .ref-image-section .content .ref-image-container:hover .cover[data-v-ca535fc2] {
  display: flex;
  justify-content: center;
  align-items: center;
}
.left-panel .common-tool .ref-image-section .content .ref-image-container img[data-v-ca535fc2] {
  width: 100%;
  border-radius: 8px;
  aspect-ratio: 1/1;
  object-fit: contain;
}
.left-panel .common-tool .ref-image-section .content .ref-image-container .cover[data-v-ca535fc2] {
  background: rgba(0, 0, 0, 0.2);
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  aspect-ratio: 1/1;
  border-radius: 8px;
  display: none;
}
.left-panel .common-tool .ref-image-section .content .ref-image-container .cover img[data-v-ca535fc2] {
  width: 60px;
  aspect-ratio: 1/1;
  cursor: pointer;
}
.left-panel .common-tool .clothes-samples-section[data-v-ca535fc2] {
  background: #ffffff;
  border: 1px solid #E6E7EB;
  border-radius: 8px;
  padding: 10px;
  position: relative;
}
.left-panel .common-tool .clothes-samples-section .title[data-v-ca535fc2] {
  display: flex;
  width: 100%;
  line-height: 28px;
  font-size: 14px;
  font-weight: 500;
  cursor: pointer;
  align-items: center;
  color: #222222;
}
.left-panel .common-tool .clothes-samples-section .title input[data-v-ca535fc2] {
  width: 16px;
  height: 16px;
  margin-right: 10px;
}
.left-panel .common-tool .clothes-samples-section .content[data-v-ca535fc2] {
  width: 100%;
  max-height: 330px;
  border-top: 1px solid #E6E7EB;
  padding-top: 10px;
  margin-top: 5px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list[data-v-ca535fc2] {
  width: 100%;
  height: 271px;
  position: relative;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 6px;
  overflow-y: auto;
  align-content: flex-start;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar {
  width: 8px;
  height: 6px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar-thumb {
  background: #d8d8d8;
  border-radius: 10px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content[data-v-ca535fc2] {
  width: calc((100% - 20px) / 4);
  height: calc((271px - 12px) / 3);
  background: #F5F5F5;
  border-radius: 7px;
  position: relative;
  cursor: pointer;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content:hover .re-upload[data-v-ca535fc2] {
  display: flex;
  justify-content: center;
  align-items: center;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content img[data-v-ca535fc2] {
  width: 100%;
  height: 100%;
  border-radius: 7px;
  object-fit: contain;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .upload[data-v-ca535fc2] {
  width: 100%;
  height: 100%;
  font-size: 8px;
  color: #666666;
  font-weight: 400;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .upload img[data-v-ca535fc2] {
  width: 18px;
  height: 18px;
  margin-bottom: 10px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .re-upload[data-v-ca535fc2] {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  background: rgba(0, 0, 0, 0.2);
  border-radius: 7px;
  cursor: pointer;
  display: none;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .re-upload img[data-v-ca535fc2] {
  width: 18px;
  height: 18px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .selected[data-v-ca535fc2] {
  position: absolute;
  bottom: 0px;
  right: 6px;
}
.left-panel .common-tool .clothes-samples-section .content .clothes-content-list .clothes-content .selected img[data-v-ca535fc2] {
  width: 15px;
  height: 15px;
}
.left-panel .common-tool .clothes-preview-box[data-v-ca535fc2] {
  position: fixed;
  width: 245px;
  height: 245px;
  top: 110px;
  left: 340px;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  border-radius: 6px;
  box-shadow: 0 3px 12px 4px #00000017;
  overflow: hidden;
}
.left-panel .common-tool .clothes-preview-box img[data-v-ca535fc2] {
  max-width: 100%;
  max-height: 100%;
}
.left-panel .button-group[data-v-ca535fc2] {
  display: flex;
  gap: 8px;
}
.left-panel .back-button[data-v-ca535fc2] {
  position: relative;
  padding: 16px 16px 0 16px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.left-panel .back-button img[data-v-ca535fc2] {
  width: 32px;
  height: 32px;
  margin-right: 10px;
  cursor: pointer;
}
.left-panel .back-button span[data-v-ca535fc2] {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 0;
  font-size: 13px;
  font-weight: 600;
  color: #222222;
}
.left-panel .result-preview-box[data-v-ca535fc2] {
  display: flex;
  flex-wrap: wrap;
  margin-left: 16px;
  row-gap: 12px;
  column-gap: 14px;
}
.left-panel .result-preview-box .result-img[data-v-ca535fc2] {
  width: 141px;
  height: 141px;
  border-radius: 8px;
  cursor: pointer;
  box-sizing: border-box;
  user-select: none;
  pointer-events: none;
}
.left-panel .result-preview-box .result-img-active[data-v-ca535fc2] {
  outline: 2px solid #047AFC;
}
.left-panel .button-div[data-v-ca535fc2] {
  position: absolute;
  bottom: 15px;
  padding: 0 16px;
  z-index: 100;
}
.left-panel .button-div[data-v-ca535fc2]:before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -15px;
  height: 80px;
  width: 100%;
  background-color: #fff;
  z-index: -1;
}
.left-panel .button-div .blue-button[data-v-ca535fc2] {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 298px;
  height: 48px;
  font-weight: 600;
  font-size: 17px;
  color: #FFFFFF;
  line-height: 15px;
  background: #047AFC;
  border-radius: 8px;
  cursor: pointer;
  border: none;
}
.left-panel .button-div .blue-button[data-v-ca535fc2]:hover {
  background: #3e95f1;
}
.left-panel .button-div .blue-button[data-v-ca535fc2]:disabled {
  user-select: none;
  pointer-events: none;
  background: #c8c8c8;
}
.left-panel .button-div .use-credit[data-v-ca535fc2] {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 3px;
  margin-left: 10px;
}
.left-panel .button-div .use-credit img[data-v-ca535fc2] {
  width: 13px;
  height: 12px;
}
.loading[data-v-ca535fc2] {
  position: relative;
  overflow: hidden;
}
.loading[data-v-ca535fc2]::before {
  content: '';
  position: absolute;
  left: -50%;
  width: 50%;
  height: 100%;
  background: linear-gradient(to right, #EEEEEE00 0%, #EEEEEEEE 50%, #EEEEEE00 100%);
  animation: loading-ca535fc2 2s infinite;
}
@keyframes loading-ca535fc2 {
from {
    transform: translateX(0%);
}
to {
    transform: translateX(300%);
}
}
.loading-result-img[data-v-ca535fc2] {
  width: 141px;
  height: 141px;
  border-radius: 8px;
  background-color: #f2f3f7;
  display: flex;
  align-items: center;
  justify-content: center;
}
.edit-area[data-v-ca535fc2] {
  position: absolute;
  left: 330px;
  right: 0;
  top: 64px;
  bottom: 0;
  overflow: auto;
  background-color: #f2f3f7;
}
.edit-area .inpaint-stage-layout[data-v-ca535fc2] {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.edit-area .result-show-layout[data-v-ca535fc2] {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  user-select: none;
  pointer-events: none;
}
.edit-area .result-show-layout img[data-v-ca535fc2] {
  width: 90%;
  height: 90%;
  object-fit: contain;
}
.inpaint-scribble-guide[data-v-ca535fc2] {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 800;
}
.inpaint-scribble-guide .desc[data-v-ca535fc2] {
  margin-top: 30px;
  position: relative;
}
.inpaint-scribble-guide .desc p[data-v-ca535fc2] {
  width: 80%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #FFFFFF;
  font-size: 20px;
  font-weight: 500;
}
.scale-box[data-v-ca535fc2] {
  position: absolute;
  bottom: 5px;
  right: 40px;
  width: 158px;
  height: 56px;
  user-select: none;
}
.scale-box .scale-background[data-v-ca535fc2] {
  top: 0;
  left: 0;
  width: 158px;
}
.scale-box .scale-original[data-v-ca535fc2] {
  position: absolute;
  width: 32px;
  height: 32px;
  top: 9px;
  left: 112px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.scale-box .scale-add[data-v-ca535fc2] {
  position: absolute;
  width: 32px;
  height: 32px;
  top: 9px;
  left: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.scale-box .scale-reduce[data-v-ca535fc2] {
  position: absolute;
  width: 32px;
  height: 32px;
  top: 9px;
  left: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.scale-box .scale-value[data-v-ca535fc2] {
  position: absolute;
  width: 40px;
  left: 43px;
  top: 18px;
  text-align: center;
  line-height: 16px;
}
.navigate-layout[data-v-ca535fc2] {
  position: absolute;
  bottom: 80px;
  border-radius: 8px;
  cursor: move;
  overflow: hidden;
}
.navigate-layout .navigate-canvas[data-v-ca535fc2] {
  width: 100%;
  height: 100%;
  display: block;
}
@media (max-width: 1200px) {
.boxPc[data-v-ca535fc2] {
    display: none;
}
.boxMobile[data-v-ca535fc2] {
    display: flex;
}
.main-content[data-v-ca535fc2] {
    width: 100%;
    min-height: 100dvh;
    background: #F5F5F5;
    position: relative;
    padding-top: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}
.main-content .left-panel[data-v-ca535fc2] {
    display: none;
}
.main-content .edit-area[data-v-ca535fc2] {
    position: relative;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    flex: 1;
    background-color: #ffffff;
}
.main-content .mobile-bottom-bar[data-v-ca535fc2] {
    background: #FFFFFF;
    display: flex;
    flex-direction: column;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container[data-v-ca535fc2] {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-category-list[data-v-ca535fc2] {
    padding-left: 40px;
    box-sizing: border-box;
    max-width: 100%;
    overflow-x: hidden;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2] {
    position: relative;
    width: 100%;
    height: 460px;
    padding-left: 40px;
    padding-top: 10px;
    box-sizing: border-box;
    gap: 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
    overflow-y: auto;
    /* 禁用回弹效果 */
    overscroll-behavior: none;
    -webkit-overflow-scrolling: auto;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar {
    width: 8px;
    height: 6px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar-thumb {
    background: #d8d8d8;
    border-radius: 10px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content[data-v-ca535fc2] {
    width: calc((100% - 100px) / 4);
    aspect-ratio: 0.74;
    background: #F5F5F5;
    border-radius: 10px;
    position: relative;
    cursor: pointer;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .upload[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    font-size: 17px;
    color: #666666;
    font-weight: 400;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .upload img[data-v-ca535fc2] {
    width: 34px;
    height: 34px;
    margin-bottom: 16px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .uploaded-image[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    border-radius: 7px;
    object-fit: contain;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .re-upload[data-v-ca535fc2] {
    position: absolute;
    top: 6px;
    right: 6px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .re-upload img[data-v-ca535fc2] {
    width: 40px;
    height: 40px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content img[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .selected[data-v-ca535fc2] {
    position: absolute;
    bottom: 6px;
    right: 6px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .selected img[data-v-ca535fc2] {
    width: 30px;
    height: 30px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button[data-v-ca535fc2] {
    width: 90%;
    height: 82px;
    margin-top: 21px;
    margin-bottom: 25px;
    margin-left: auto;
    margin-right: auto;
    background: #0795FD;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 500;
    font-size: 29px;
    color: #FFFFFF;
    line-height: 31px;
    cursor: pointer;
    border: none;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button[data-v-ca535fc2]:disabled {
    background: #c8c8c8;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button .consume-point[data-v-ca535fc2] {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 3px;
    margin-left: 15px;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button .consume-point img[data-v-ca535fc2] {
    width: 22px;
    height: 22px;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container[data-v-ca535fc2] {
    width: 90%;
    height: 82px;
    margin-top: 100px;
    margin-bottom: 25px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .regenerate-button[data-v-ca535fc2] {
    width: 37%;
    height: 100%;
    background: #D9EFFF;
    border-radius: 10px;
    border: none;
    font-weight: 550;
    font-size: 29px;
    color: #0795FD;
    line-height: 31px;
    cursor: pointer;
    outline: none;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .regenerate-button[data-v-ca535fc2]:hover {
    filter: contrast(0.9);
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button[data-v-ca535fc2] {
    width: 61%;
    height: 100%;
    background: #0795FD;
    border-radius: 10px;
    border: none;
    font-weight: 550;
    font-size: 29px;
    gap: 10px;
    color: #ffffff;
    line-height: 31px;
    cursor: pointer;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button[data-v-ca535fc2]:hover {
    filter: contrast(0.9);
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button img[data-v-ca535fc2] {
    width: 36px;
    height: 28px;
}
}
@media (max-width: 639px) {
.boxPc[data-v-ca535fc2] {
    display: none;
}
.boxMobile[data-v-ca535fc2] {
    display: flex;
}
.main-content[data-v-ca535fc2] {
    width: 100%;
    min-height: 100dvh;
    background: #F5F5F5;
    position: relative;
    padding-top: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}
.main-content .left-panel[data-v-ca535fc2] {
    display: none;
}
.main-content .edit-area[data-v-ca535fc2] {
    position: relative;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    flex: 1;
    background-color: #ffffff;
}
.main-content .mobile-bottom-bar[data-v-ca535fc2] {
    background: #FFFFFF;
    display: flex;
    flex-direction: column;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container[data-v-ca535fc2] {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-category-list[data-v-ca535fc2] {
    padding-left: 4rem;
    box-sizing: border-box;
    max-width: 100%;
    overflow-x: hidden;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2] {
    position: relative;
    width: 100%;
    height: 46rem;
    padding-left: 4rem;
    padding-top: 1rem;
    box-sizing: border-box;
    gap: 2rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
    overflow-y: auto;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.6rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list[data-v-ca535fc2]::-webkit-scrollbar-thumb {
    background: #d8d8d8;
    border-radius: 1rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content[data-v-ca535fc2] {
    width: calc((100% - 10rem) / 4);
    aspect-ratio: 0.74;
    background: #F5F5F5;
    border-radius: 1rem;
    position: relative;
    cursor: pointer;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .upload[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    font-size: 1.7rem;
    color: #666666;
    font-weight: 400;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .upload img[data-v-ca535fc2] {
    width: 3.4rem;
    height: 3.4rem;
    margin-bottom: 1.6rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .uploaded-image[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    border-radius: 0.7rem;
    object-fit: contain;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .re-upload[data-v-ca535fc2] {
    position: absolute;
    top: 0.6rem;
    right: 0.6rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .re-upload img[data-v-ca535fc2] {
    width: 4rem;
    height: 4rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content img[data-v-ca535fc2] {
    width: 100%;
    height: 100%;
    border-radius: 1rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .selected[data-v-ca535fc2] {
    position: absolute;
    bottom: 0.6rem;
    right: 0.6rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-clothes-content-list .mobile-clothes-content .selected img[data-v-ca535fc2] {
    width: 3rem;
    height: 3rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button[data-v-ca535fc2] {
    width: 90%;
    height: 8.2rem;
    margin-top: 2.1rem;
    margin-bottom: 2.5rem;
    margin-left: auto;
    margin-right: auto;
    background: #0795FD;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 500;
    font-size: 2.9rem;
    color: #FFFFFF;
    line-height: 3.1rem;
    cursor: pointer;
    border: none;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button[data-v-ca535fc2]:disabled {
    background: #c8c8c8;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button .consume-point[data-v-ca535fc2] {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 0.3rem;
    margin-left: 1.5rem;
}
.main-content .mobile-bottom-bar .mobile-clothes-generate-container .mobile-generate-button .consume-point img[data-v-ca535fc2] {
    width: 2.2rem;
    height: 2.2rem;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container[data-v-ca535fc2] {
    width: 90%;
    height: 8.2rem;
    margin-top: 10rem;
    margin-bottom: 2.5rem;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .regenerate-button[data-v-ca535fc2] {
    width: 37%;
    height: 100%;
    background: #D9EFFF;
    border-radius: 1rem;
    border: none;
    font-weight: 550;
    font-size: 2.9rem;
    color: #0795FD;
    line-height: 3.1rem;
    cursor: pointer;
    outline: none;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .regenerate-button[data-v-ca535fc2]:hover {
    filter: contrast(0.9);
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button[data-v-ca535fc2] {
    width: 61%;
    height: 100%;
    background: #0795FD;
    border-radius: 1rem;
    border: none;
    font-weight: 550;
    font-size: 2.9rem;
    gap: 1rem;
    color: #ffffff;
    line-height: 3.1rem;
    cursor: pointer;
    outline: none;
    display: flex;
    justify-content: center;
    align-items: center;
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button[data-v-ca535fc2]:hover {
    filter: contrast(0.9);
}
.main-content .mobile-bottom-bar .mobile-regenerate-download-container .download-button img[data-v-ca535fc2] {
    width: 3.6rem;
    height: 2.8rem;
}
}
